Truncate a live-dataset table
DELETE
/api/ingest/{collectionName}/{tableName}
const url = 'https://firma.company-gpt.com/companygpt/rag/api/api/ingest/example/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://firma.company-gpt.com/companygpt/rag/api/api/ingest/example/example \ --header 'Authorization: Bearer <token>'Delete all rows from a “live” dataset table. Requires admin (write) access to the collection.
Authorizations
Abschnitt betitelt „Authorizations“Parameters
Abschnitt betitelt „Parameters“Path Parameters
Abschnitt betitelt „Path Parameters“collectionName
required
string
Collection’s technical name
tableName
required
string
Responses
Abschnitt betitelt „Responses“Table truncated
Invalid table name
Unauthorized
Admin access required to ingest data
Dataset (or table) not found — also returned for any collection that is not a live dataset